Subject: Are you using lock discovery?

From: "Jason Crawford" <[email-masked]>
Date: Mon, 25 Jun 2001 17:09:10 -0400

<<
That is an omission (somewhat conscious, because I try to ignore
lock null resources in hopes that they will be replaced with a
more sensible form of lock discovery).  If it looks like we can't
make lock null resources go away, we need to update the BIND
protocol to explicitly disallow binding to a lock null resource.
The paragraph above from Geoff prompts me to ask....

Do we have any clients out there that do lock discovery or are dependent on
this property?

...and...

Do we have any that require LNR's?

---

From: "Dan Brotsky" <[email-masked]>
Date: Tue, 26 Jun 2001 14:29:52 -0700

>Do we have any clients out there that do lock discovery or are dependent on

Sure.  Every Adobe client uses lock discovery frequently.  Uploading 
a multi-megabyte file via PUT only to have the server then tell you 
your lock is gone generally gives rise to a very bad user experience 
:^).  So we always try to discover workflow state changes before 
doing lengthy operations that expect a certain state.

>Do we have any that require LNR's?

Hard to know which LNR behavior you're referring to.  If you mean 
requiring a way to discover that the "URL" you "locked" is still 
locked then yes, definitely, see above.  If you mean requiring that 
such a resource vanish if you unlock without a PUT then no.

     dan
-- 
Daniel Brotsky, Adobe Systems
tel 408-536-4150, pager 877-704-4062
2-way pager email: <mailto:[email-masked]>

---

From: "Jim Whitehead" <[email-masked]>
Date: Tue, 26 Jun 2001 15:39:07 -0700

> Do we have any clients out there that do lock discovery or are

As I recall, the DAV Explorer client <http://www.ics.uci.edu/~webdav/> uses
lock discovery. I believe it's smart enough to do lock discovery if a
resource is locked, and DAV Explorer doesn't have the lock token. It then
tries the lock token on the off chance the requesting principal actually
owns the lock.

Or maybe we just talked about doing this, and never implemented it. I can't
remember -- Joe?

> Do we have any that require LNR's?

I don't believe DAV Explorer depends on LNRs in any way.

- Jim

---

From: "Tom Bednarz" <[email-masked]>
Date: Wed, 27 Jun 2001 08:28:38 -0400

> Do we have any clients out there that do lock discovery or are

Goliath will use this property and has the capability to let users 'reclaim'
a lock as their own.

--tom